variables:
  # these variables define the regular expressions
  # for the various deployment environments
  # if a branch or tag name matches one of the expressions
  # it is deployed to that environment (dev, staging, prod)
  DEPLOY_REF_DEV: "/dev|develop/"
  DEPLOY_REF_STAGING: "/staging|master/"

.dev-env:
  variables:
    REF_ENV: dev
    REF_BRANCH: dev
  rules:
  rules:
    - if: $CI_COMMIT_REF_SLUG =~ $DEPLOY_REF_DEV

.staging-env:
  variables:
    REF_ENV: staging
    REF_BRANCH: master
  rules:
    - if: "$CI_COMMIT_TAG"
      when: never
    - if: $CI_COMMIT_REF_SLUG =~ $DEPLOY_REF_STAGING

.prod-env:
  variables:
    REF_ENV: prod
    REF_BRANCH: master
  rules:
    - if: "$CI_COMMIT_TAG"
